/*
 * @Author: your name
 * @Date: 2021-04-01 10:18:41
 * @LastEditTime: 2021-06-19 10:13:04
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \exclusive-cloud-admin\common\src\assets\environment\environment.ts
 */
// 环境配置文件，区分各个环境
let origin = window.location.origin;
let host = window.location.host;
host = host.split(':')[0];
const protocol = 'https:';
let platform = 'devlop';
switch (host) {
    case '127.0.0.1':
    case 'localhost':
        platform = 'develop';
        break;
    case '120.31.138.91':
        platform = 'test';
        break;
    case 'desktop001.eflycloud.com':
        platform = 'rj001';
        break;
    default:
        platform = 'online';
}

let config = {
    develop: {
        apiPrefix: "http://121.201.72.2:30001",
        apiOam: "http://121.201.72.2:30004",
        vncUrl: 'http://120.31.138.91:30005/vncCore',
        exclusiveCloudIndex: "http://121.201.72.2:30012"
    },
    test: {
        apiPrefix: "http://121.201.72.2:30001",
        apiOam: "http://121.201.72.2:30004",
        vncUrl: origin + '/vncCore',
        exclusiveCloudIndex: "http://121.201.72.2:30012"
    },
    preonline: {
        apiPrefix: 'http://' + host + ':30001',
        apiOam: 'http://' + host + ':30004',
        vncUrl: origin + '/vncCore',
        exclusiveCloudIndex: 'http://' + host + ':30012'
    },
    online: {
        apiPrefix: 'http://' + host + ':30001',
        apiOam: "http://" + host + ":30004",
        vncUrl: origin + '/vncCore',
        exclusiveCloudIndex: 'http://' + host + ':30012'
    },
}


// @ts-ignore
export default config[platform];
