/*
 * @Author: your name
 * @Date: 2021-03-10 08:46:33
 * @LastEditTime: 2021-03-10 17:52:19
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \exclusive-cloud\manage\common\src\components\custom-list\custom-list-header.ts
 */
/**
 * 自定义列表类型数据
 */

const customData: {[key: string]: any} = {
    pc: {
        // 主机列表
        vm: {
            vmCode: '主机编号(别名)',
            config: '配置',
            network: '网络',
            vmType: '网络类型',
            vpcUUID: '所属VPC网络',
            status: '状态',
            houseAndPoolCode: '节点 | 架构 | 池编号',
            charge: '资费方式',
            expireTime: '计费期限',
            vmGroupName: '分组',
            login: '登录',
            opt: '操作',
            createTime: '创建时间',
            standard: '主机规格',
            userName: '所属客户'
        },
        // ip列表
        ip: {
            ipAddress: 'IP地址（别名）',
            ipSpecies: '网络类型',
            status: '状态',
            houseAndPoolCode: '节点 | 架构 | 池编号',
            vm: '关联实例',
            createTime: '创建时间',
            charge: '资费方式',
            expireTime: '计费期限',
            bandwidth: '带宽',
            bwPackage: '共享带宽',
            userName: '所属客户',
            opt: '操作',
        }
    },


    /**后台eap端 */
    admin: {

        // ip列表
        ip: {
            ipAddress: 'IP地址（别名）',
            ipSpecies: '网络类型',
            status: '状态',
            houseAndPoolCode: '节点 | 架构 | 池编号',
            vm: '关联实例',
            createTime: '创建时间',
            charge: '资费方式',
            expireTime: '计费期限',
            opt: '操作',
            bandwidth: '带宽',
            bwPackage: '共享带宽',
            userName: '所属客户'
        },

        // 交换机列表
        vswitch: {
            vswitchUUID: '交换机编号（别名）',
            vpcUUID: 'VPC网络',
            network: '目标网段',
            zone: '节点',
            vm: '主机',
            ip: ' 可用IP数',
            createTime: '创建时间',
            userName: '所属客户',
            opt: '操作' ,
        }
    }
}


export default customData;