/*
 * @Author: your name
 * @Date: 2021-03-05 09:44:53
 * @LastEditTime: 2021-03-18 14:08:47
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \exclusive-cloud\manage\common\src\components\batch-handle\batch-handle-interface.ts
 */
export default interface BatchHandleInterface {
    show: boolean,      // 用来打开弹窗
    title: string,      // 标题
    titleIcon: string,  // 图标
    tips: string,       // 提示语
    tipsIcon?: string,  // 提示语icon,  '' | 'icon-xxx'
    statusPipe: string, // 过滤类型，操作+实例： destory-vm
    interfacePath: string,              // 接口路径
    listAllow: Array<listOptResource>,  // 允许操作的列表
    listNot: Array<listOptResource>,    // 不允许操作的列表
    listAll?: Array<any>,               // 总列表
}

interface listOptResource {
    describe: string,   // 任务描述
    params?: any,       // 参数
    status?: string,    // 状态
    errorMsg?: string,  // 错误提示音，用于listNot
    warningMsg?: string,    // 警告提示语，用于listAllow
    showErrorMsg?: boolean, // 控制显示/隐藏错误提示信息
}