export default interface BatchInterface {
    show: boolean,      // 用来打开弹窗
    title: string,      // 标题
    titleIcon: string,  // 图标
    tips: string,       // 提示语
    statusPipe: string, // 过滤类型，操作+实例： destory-vm
    interfacePath: string,      // 接口路径
	isBatchOptGoon?: boolean,   // 如果你想让批量操作处理在发生一个错误后停止，你应该设置 true, 否则为 false
    isCheckFailOpt?: boolean,   // 是否需要检查批量操作中存在失败的操作（用于提示：操作失败，金额交易已撤销并全额退款！）
    optResource: Array<optResource> 
}

interface optResource {
    describe: string,   // 描述
    params?: any,       // 参数
    status?: string,    // 状态
    errorMsg?: string,  // 错误提示语
    showErrorMsg?: boolean, // 控制显示/隐藏错误提示信息
}